Bug 863662 - /usr/lib/systemd/fedora-autorelabel should not be using fixfiles -F restore.
/usr/lib/systemd/fedora-autorelabel should not be using fixfiles -F restore.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 08:46 EDT by Daniel Walsh
Modified: 2014-03-16 23:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:08:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-10-06 08:46:44 EDT
We only want to run it with

fixfiles restore

Otherwise it could cause tools that store content with MCS labels to change labels.
Comment 1 Daniel Walsh 2012-10-06 08:51:59 EDT
 diff -u /usr/lib/systemd/fedora-autorelabel~ /usr/lib/systemd/fedora-autorelabel
--- /usr/lib/systemd/fedora-autorelabel~	2012-10-06 08:51:08.217475662 -0400
+++ /usr/lib/systemd/fedora-autorelabel	2012-10-06 08:51:19.243554961 -0400
@@ -27,7 +27,7 @@
 	echo $"*** Relabeling could take a very long time, depending on file"
 	echo $"*** system size and speed of hard drives."
 
-	/sbin/fixfiles -F restore > /dev/null 2>&1
+	/sbin/fixfiles restore > /dev/null 2>&1
     fi
     rm -f  /.autorelabel
     systemctl --force reboot
Comment 2 Bill Nottingham 2012-10-08 16:22:51 EDT
Thanks, added to git.
Comment 3 Fedora Update System 2012-10-08 16:49:26 EDT
initscripts-9.41-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15530/initscripts-9.41-2.fc18
Comment 4 Fedora Update System 2012-10-08 19:54:29 EDT
Package initscripts-9.41-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.41-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15530/initscripts-9.41-2.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-10-31 13:28:57 EDT
initscripts-9.42-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/initscripts-9.42-1.fc18
Comment 6 Fedora Update System 2012-12-20 11:08:43 EST
initscripts-9.42-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.